libsdl3-mixer (3.2.4+ds-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Wed, 03 Jun 2026 10:23:14 +0100

libsdl3-mixer (3.2.2+ds-1) unstable; urgency=medium

  * New upstream stable release
  * Standards-Version: 4.7.4 (no changes required)
  * d/copyright: Use the SPDX name for the Zlib license

 -- Simon McVittie <smcv@debian.org>  Fri, 22 May 2026 11:32:52 +0100

libsdl3-mixer (3.2.0+ds-1) unstable; urgency=medium

  * New upstream stable release (Closes: #1095066)
    - d/watch: Watch for stable releases, now that one exists
    - d/control: Remove note about instability from Description
    - d/rules: Remove the guard against accidental uploads to unstable
    - d/source/lintian-overrides: Remove, only needed when packaging
      upstream git snapshots
  * d/control: Use ${source:Synopsis}, ${source:Extended-Description}
    to reduce duplication
  * Normalize packaging (debputy reformat)
  * d/rules: Remove leftovers from compiling a simple audio player manually
  * d/rules: Set version number as a build parameter, not by writing
    out VERSION.txt
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Mar 2026 21:39:58 +0000

libsdl3-mixer (3.1.2+git20260305~d186a5f+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update
  * d/rules, d/libsdl3-mixer-tests:
    Update for fixes to how examples are installed
  * d/libsdl3-mixer0.symbols: Update.
    Note that the ABI of MIX_Generate has changed (its return type is
    different).

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Mar 2026 19:20:32 +0000

libsdl3-mixer (3.1.2+git20260204~9ea9abe+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/watch: Watch for git snapshots again
  * d/copyright: Update
  * d/rules, d/libsdl3-mixer-tests.install: Build and install examples
  * d/rules: Don't make sample audio files executable
  * Revert "Update Lintian overrides for use of a release tarball"
  * Stop installing a compiled docs/hello.c as simple-player.
    It's functionally redundant with testaudiodecoder.
  * d/rules: Remove unnecessary dh_compress override

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2026 19:12:16 +0000

libsdl3-mixer (3.1.2+ds-1) experimental; urgency=medium

  * New upstream preview release, in preparation for the first stable
    release 3.2.0
  * d/rules: Update build options
  * d/libsdl3-mixer-doc.examples: Install simple example from upstream
  * d/watch: Watch for preview releases
  * d/libsdl3-mixer0.symbols: Generate dependencies on the preview release.
    This lets us be sure that we've avoided incompatible ABIs that existed
    in experimental while the new API/ABI was under development.
  * Build and install the very simple example player, docs/hello.c.
    test/testmixer.c is now more complicated than a trivial audio player
    (it exercises delays and looping) but docs/hello.c has taken its role
    as a minimum viable example program.
  * d/tests: Use the example from docs/hello.c as our smoke-test
  * Update Lintian overrides for use of a release tarball

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Jan 2026 13:41:22 +0000

libsdl3-mixer (3.1~git20260120~7b5b902+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 20 Jan 2026 18:19:34 +0000

libsdl3-mixer (3.1~git20260101~3045b35+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update
  * d/control: Require SDL 3.4.0 stable release
  * d/control: Standards-Version: 4.7.3 (no changes required)
  * d/control: Remove unnecessary Priority field
  * d/control: Remove unnecessary Rules-Requires-Root: no

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Jan 2026 18:27:53 +0000

libsdl3-mixer (3.1~git20251230~3a1965b+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Dec 2025 10:41:18 +0000

libsdl3-mixer (3.1~git20251207~fb31486+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Require current SDL preview release

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Dec 2025 19:05:20 +0000

libsdl3-mixer (3.1~git20251030~8c516fc+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Revert workaround for #1119138

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 18:15:38 +0000

libsdl3-mixer (3.1~git20251026~86c6b09+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Build-depend on flac and libflac++-dev, for working find_package(FLAC).
    Workaround for: #1119138
  * d/source/lintian-overrides: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 15:16:50 +0000

libsdl3-mixer (3.1~git20250910~d032535+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Sep 2025 09:51:44 +0100

libsdl3-mixer (3.1~git20250829~b0503d2+ds-1) experimental; urgency=medium

  * New upstream snapshot with major API/ABI changes
  * Update autopkgtest for new package
  * d/libsdl3-mixer0.symbols: Rewrite for new ABI
  * d/copyright: Update
  * d/control: Require a correspondly recent SDL3 snapshot
  * Update packaging for upstream changes to documentation/examples

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Sep 2025 09:43:59 +0100

libsdl3-mixer (3~git20250610~30c1301+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Jun 2025 11:38:37 +0100

libsdl3-mixer (3~git20250523~daf0503+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/p/mpg123-Use-portable-API-from-v1.32-if-available.patch:
    Drop patch, hopefully no longer needed (and it didn't work as I'd
    hoped anyway)

 -- Simon McVittie <smcv@debian.org>  Sat, 24 May 2025 13:54:03 +0100

libsdl3-mixer (3~git20250514~37b69a0+ds-2) experimental; urgency=medium

  * d/p/mpg123-Use-portable-API-from-v1.32-if-available.patch:
    Add proposed patch to fix the build on 32-bit non-i386, such as armhf

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 17:59:00 +0100

libsdl3-mixer (3~git20250514~37b69a0+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer-tests.install: Update for new snapshot.
    The manual tests are now installed to the same path we use, so we don't
    need to redirect them there from /usr/bin.

 -- Simon McVittie <smcv@debian.org>  Fri, 16 May 2025 09:47:24 +0100

libsdl3-mixer (3~git20250404~68764f3+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - Please note that this snapshot includes incompatible ABI changes
  * d/copyright: Update
  * d/rules: Disable drmp3 instead of minimp3
  * d/rules: Stop disabling modplug support, no longer implemented
  * d/control: Add a note about the ABI not being stable (see #1095066)
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Apr 2025 11:05:47 +0100

libsdl3-mixer (3~git20250302~78a2035+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 09:46:51 +0000

libsdl3-mixer (3~git20250226~39d11cd+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Feb 2025 13:52:56 +0000

libsdl3-mixer (3~git20250214~bc9c365+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update
  * d/control, d/copyright: Update upstream project URLs
  * d/control: Require SDL 3.2.0 stable release

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Feb 2025 10:58:15 +0000

libsdl3-mixer (3~git20250203~ebdd9cc+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update
  * d/watch*: Sync with SDL_image, SDL_ttf

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2025 13:59:38 +0000

libsdl3-mixer (3~git20250123~723ad21+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Jan 2025 12:21:02 +0000

libsdl3-mixer (3~git20250112~1bf7a79+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.10 prerelease
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jan 2025 17:25:50 +0000

libsdl3-mixer (3~git20250107~4870186+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.8 prerelease
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Jan 2025 16:27:16 +0000

libsdl3-mixer (3~git20241102~5e2a705+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.6 prerelease
  * d/rules, d/libsdl3-mixer0.symbols:
    Music playback via an arbitrary external command is no longer supported

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Nov 2024 18:38:47 +0000

libsdl3-mixer (3~git20240925~e32ba24+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 3.1.3 prerelease
  * d/control: Build-depend on a contemporary SDL3
  * d/p/Update-for-rename-of-SDL3-atomic-int-APIs.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 18:09:14 +0100

libsdl3-mixer (3~git20240915~809804e+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/p/Update-for-rename-of-SDL3-atomic-int-APIs.patch:
    Add proposed patch for compatibility with latest SDL3
  * d/tests: playwave now needs the SDL3_test library

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 21:15:26 +0100

libsdl3-mixer (3~git20240828~36b1c88+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Remove obsolete symbols
  * d/rules: Update build option names
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 21:29:31 +0100

libsdl3-mixer (3~git20240730~623ef30+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/libsdl3-mixer0.symbols: Update
  * Update list of man pages to install

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2024 17:20:20 +0100

libsdl3-mixer (3~git20240508~c2fe2a6+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL 3.1.2
    - Depend on a corresponding SDL3 prerelease
  * d/rules: Build man pages if and only if -doc package is built

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2024 14:52:34 +0100

libsdl3-mixer (3~git20240319~12fb85e+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * Depend on a corresponding SDL3 prerelease
  * d/libsdl3-mixer0.symbols: Update for upstream ABI breaks

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 18:43:56 +0000

libsdl3-mixer (3~git20240121~3c8461d+ds-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 12:35:01 +0000

libsdl3-mixer (3~git20240115~9eae94f+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - d/copyright: Exclude vendored minimp3, not used in Debian

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 18:07:37 +0000

libsdl3-mixer (3~git20240101~de0f62a+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 17:32:49 +0000

libsdl3-mixer (3~git20231205~1d30b08+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Thu, 07 Dec 2023 20:11:58 +0000

libsdl3-mixer (3~git20230930~92f0574+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/rules: Use package version instead of trying to get version from git

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Oct 2023 14:53:10 +0100

libsdl3-mixer (3~git20230921~5ce3f92+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-mixer0.symbols: Update
  * Drop the only patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Sep 2023 17:25:31 +0100

libsdl3-mixer (3~git20230913~d7e4f19+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: Bump (build-)dependency on SDL3 for audio API changes
  * d/rules: Make dependency checks strict.
    When we enable a backend, we want the build to fail if it wasn't found.
  * d/.gitignore: Disable an overzealous rule in /.gitignore
  * d/p/build-Fix-detection-of-libvorbisfile.patch:
    Add proposed patch to fix detection of libvorbisfile

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2023 20:00:57 +0100

libsdl3-mixer (3~git20230904~dc93c43+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/.gitignore: Also ignore d/libsdl3-mixer-doc/
  * Depend on a corresponding version of SDL3 to follow API changes

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Sep 2023 22:17:38 +0100

libsdl3-mixer (3~git20230810~ec99350+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/.gitignore: Update for SDL3
  * d/watch: Use a +ds suffix for the orig tarball.
    To the best of my knowledge, everything we exclude is (meant to be)
    Free Software, we just don't want to keep track of files that are
    irrelevant to Debian (especially the vendored subprojects).
  * d/gbp.conf: Stop filtering imported tarballs.
    Please use uscan instead, which will automatically produce a filtered
    +ds tarball based on the Files-Excluded in debian/copyright.

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Aug 2023 12:55:16 +0100

libsdl3-mixer (3~git20230806~139b748+dfsg-1) experimental; urgency=medium

  * New upstream snapshot
  * d/watch: Include the truncated sha1 in the version number.
    This makes it easier to keep track of which version we're packaging.
  * d/libsdl3-mixer-dev.install: Update for changed header name
  * d/libsdl3-mixer0.symbols: Update to reflect a removed symbol
  * d/control: Require a matching libsdl3-dev.
    The API is not stable, so we should only build combinations that are
    believed to work together.

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 20:46:04 +0100

libsdl3-mixer (3~git20230717+dfsg-1) experimental; urgency=medium

  * Snapshot of new upstream major version with incompatible API and ABI
  * This snapshot is only suitable for Debian experimental, and is provided
    to facilitate early testing. The ABI is not expected to be stable
    until the first stable release of SDL 3.x, which is expected to be
    labelled as SDL 3.2.0.
  * Initially enable a conservative set of codecs in the SDL3 branch:
    Vorbis, Opus, FLAC, MP3 and WAV.
  * Don't enable MIDI, module files (MOD/tracker music) or WavPack at this
    stage. We can enable these if requested, but adding formats is a
    compatible change and removing them is an incompatible change, so the
    conservative approach is to start small and expand.
    This also defers having to think about which implementation of MIDI
    and which implementation of module files is the most suitable.

 -- Simon McVittie <smcv@debian.org>  Tue, 18 Jul 2023 23:47:43 +0100

libsdl2-mixer (2.6.3+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * d/control: Remove version constraints unnecessary since Debian 10
  * d/upstream/metadata: Add

  [ Simon McVittie ]
  * New upstream stable release
    - Functionally equivalent to 2.6.2+dfsg-2
    - Drop patch from 2.6.2+dfsg-2, applied upstream
  * d/copyright: Update
  * d/control: Update standards version to 4.6.2 (no changes needed)
  * d/control: Remove version constraints unnecessary since Debian 11
  * d/upstream/metadata: Add Repository field
  * d/tests: Run Xvfb with -noreset to make the test more reliable.
    See #981201.
  * d/tests: Instruct xvfb-run to choose a server number automatically
  * d/watch: Only watch for 2.x versions.
    The upstream 'main' branch now targets SDL 3 (under development), and
    should be packaged separately as a libsdl3-mixer source package.

 -- Simon McVittie <smcv@debian.org>  Sat, 15 Jul 2023 18:05:33 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libsdl3-mixer-doc`.
